--- saved_chan_sip.c	2004-02-12 00:03:38.000000000 -0600
+++ chan_sip.c	2004-02-11 18:44:47.000000000 -0600
@@ -3237,6 +3237,9 @@
 	snprintf(tmp, sizeof(tmp), "%u %s", ++r->ocseq, cmd);
 	p->ocseq = r->ocseq;
 
+	if (r->regstate == REG_STATE_REGSENT || r->regstate == REG_STATE_AUTHSENT)
+		p->branch++;
+
 	/* z9hG4bK is a magic cookie.  See RFC 3261 section 8.1.1.7 */
 	snprintf(via, sizeof(via), "SIP/2.0/UDP %s:%d;branch=z9hG4bK%08x", inet_ntoa(p->ourip), ourport, p->branch);
 	add_header(&req, "Via", via);
